- name: Install System Packages 1 (build-essential, cmake, pkg-config)
  become: true
  apt:
    name: ["build-essential", "cmake", "pkg-config"]

- name: Install System Packages 2 (lua, unzip, libtool, libtool-bin, gettext, ninja-build)
  become: true
  apt:
    name: [ "lua5.2", "unzip", "libtool", "libtool-bin", "gettext", "ninja-build"]

- name: Install System Packages 3 (the rest)
  become: true
  apt:
    name: [ "curl", "i3", "python3-pip", "python3-venv", "tar", "blueman", "maven"]


- name: Install Clang
  become: true
  apt:
    name: ["clang", "clang-14", "clang-15", "clangd", "clangd-14", "clangd-15"]

